From khali@linux-fr.org Tue Jul 19 17:54:15 2005
Date: Tue, 19 Jul 2005 23:53:07 +0200
From: Jean Delvare <khali@linux-fr.org>
Cc: Greg KH <greg@kroah.com>
Subject: I2C: Separate non-i2c hwmon drivers from i2c-core (4/9)
Message-Id: <20050719235307.61e2f6cf.khali@linux-fr.org>

All ISA hardware monitoring drivers (including hybrid drivers) now have
a hard dependency on i2c-isa, so they must select I2C_ISA. As a result,
CONFIG_I2C_ISA doesn't need to be left visible to the user. The good
thing here is that users will stop complaining that some driver doesn't
work just because they forgot to compile or load i2c-isa.

At this point, all drivers are working again and the cleanup phase can
begin.


Signed-off-by: Greg Kroah-Hartman <gregkh@suse.de>


---
 drivers/hwmon/Kconfig      |    3 +++
 drivers/i2c/busses/Kconfig |    8 +-------
 2 files changed, 4 insertions(+), 7 deletions(-)

--- gregkh-2.6.orig/drivers/hwmon/Kconfig	2005-07-26 15:08:56.000000000 -0700
+++ gregkh-2.6/drivers/hwmon/Kconfig	2005-07-26 15:12:18.000000000 -0700
@@ -160,6 +160,7 @@
 	tristate "ITE IT87xx and compatibles"
 	depends on HWMON && I2C
 	select I2C_SENSOR
+	select I2C_ISA
 	help
 	  If you say yes here you get support for ITE IT87xx sensor chips
 	  and clones: SiS960.
@@ -211,6 +212,7 @@
 	tristate "National Semiconductor LM78 and compatibles"
 	depends on HWMON && I2C && EXPERIMENTAL
 	select I2C_SENSOR
+	select I2C_ISA
 	help
 	  If you say yes here you get support for National Semiconductor LM78,
 	  LM78-J and LM79.
@@ -366,6 +368,7 @@
 	tristate "Winbond W83781D, W83782D, W83783S, W83627HF, Asus AS99127F"
 	depends on HWMON && I2C
 	select I2C_SENSOR
+	select I2C_ISA
 	help
 	  If you say yes here you get support for the Winbond W8378x series
 	  of sensor chips: the W83781D, W83782D, W83783S and W83627HF,
--- gregkh-2.6.orig/drivers/i2c/busses/Kconfig	2005-07-13 09:45:05.000000000 -0700
+++ gregkh-2.6/drivers/i2c/busses/Kconfig	2005-07-26 15:12:18.000000000 -0700
@@ -182,14 +182,8 @@
 	  will be called i2c-iop3xx.
 
 config I2C_ISA
-	tristate "ISA Bus support"
+	tristate
 	depends on I2C
-	help
-	  If you say yes to this option, support will be included for i2c
-	  interfaces that are on the ISA bus.
-
-	  This driver can also be built as a module.  If so, the module
-	  will be called i2c-isa.
 
 config I2C_ITE
 	tristate "ITE I2C Adapter"
